Busy Plugin - Defect #381

Issue with Tab Panels
10/03/2011 04:03 PM - Frank Veges

Status: Closed Start date: 10/03/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
See the attached test solution.

Basically if you remove all tabs then add a tab containing the form that has the code with the busy plugin it does not work unless you
do a form refresh (F5) before clicking the button which activates the busy plugin.

History

#1 - 10/03/2011 05:21 PM - Patrick Talbot

Is that Smart or Web client?

What Servoy version?

What Java version?

If Web client, in what browser/version?

Did you add plugins.busy.prepare() in the onShow event handler of the form that is added to the tab panel?

#2 - 10/03/2011 06:54 PM - Frank Veges

Busy.Prepare was in the form that was added to the tab panel.

When | changed it and added to the form that adds the form to the tab panel it works. Not sure if thats the best way but it will suit me. Thnaks.
It was for Web Client and tried in Firefox and IE 9.

Am using Servoy 5.2.9
Java 6 Update 23

#3 - 10/03/2011 07:54 PM - Patrick Talbot

- Status changed from New to Closed

Yes, basically calling plugins.busy.prepare() is injecting the necessary js scripts in the header of the page, so | guess that putting that in the parent
form works best.
Will close this one since there is a know workaround.

Files

busyTest.servoy 5.87 KB 10/03/2011 Frank Veges

05/13/2025 1/1



http://www.tcpdf.org

